Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1688150 - ldconfig should be called on CentOS <= 7
Summary: ldconfig should be called on CentOS <= 7
Keywords:
Status: POST
Alias: None
Product: GlusterFS
Classification: Community
Component: packaging
Version: mainline
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Niels de Vos
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1688148
TreeView+ depends on / blocked
 
Reported: 2019-03-13 09:50 UTC by Niels de Vos
Modified: 2019-03-13 10:17 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 22353 None Open rpm: ldconfig should be called on CentOS <= 7 2019-03-13 10:17:13 UTC

Description Niels de Vos 2019-03-13 09:50:52 UTC
+++ This bug was initially created as a clone of Bug #1688148 +++

Description of problem:

Even if calling /sbin/ldconfig on recent versions of Fedora is not 
needed anymore, older distributions still require it, Re-adding the 
calls to /sbin/ldconfig within an if-statement is quite ugly.
Fortunately the Fedora EPEL Packaging Guidelines describe how this can 
be done more elegantly with a few macros.

https://fedoraproject.org/wiki/EPEL:Packaging#Shared_Libraries


Version-Release number of selected component (if applicable):

glusterfs 6.0 RC1

Comment 1 Worker Ant 2019-03-13 10:17:14 UTC
REVIEW: https://review.gluster.org/22353 (rpm: ldconfig should be called on CentOS <= 7) posted (#1) for review on master by Niels de Vos


Note You need to log in before you can comment on or make changes to this bug.